org.richfaces.ui.toggle

## Interface AbstractTogglePanelTitledItem

- All Superinterfaces:
    AbstractDivPanel, AbstractTogglePanelItemInterface, CoreProps, EventsMouseProps, I18nProps, VisitChildrenRejectable
  All Known Implementing Classes:
    AbstractAccordionItem, AbstractTab, UIAccordionItem, UITab

      public interface AbstractTogglePanelTitledItem
      extends AbstractTogglePanelItemInterface

  Since:
    2010-08-05
  Author:
    akolonitsky

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `AbstractTogglePanelTitledItem.HeaderStates`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getContentClass()` The CSS class applied to the panel content
    `String` | `getHeader()`
    `String` | `getHeaderActiveClass()` The CSS class applied to the header when this panel is active
    `String` | `getHeaderClass()` The CSS class applied to the header
    `String` | `getHeaderDisabledClass()` The CSS class applied to the header when this panel is disabled
    `String` | `getHeaderInactiveClass()` The CSS class applied to the header when this panel is inactive
    `String` | `getHeaderStyle()` The CSS style applied to the header
    `String` | `getOnheaderclick()` Javascript code executed when a pointer button is clicked over the header of this element.
    `String` | `getOnheaderdblclick()` Javascript code executed when a pointer button is double clicked over the header of this element.
    `String` | `getOnheadermousedown()` Javascript code executed when a pointer button is pressed down over the header of this element.
    `String` | `getOnheadermousemove()` Javascript code executed when a pointer button is moved within the header of this element.
    `String` | `getOnheadermouseup()` Javascript code executed when a pointer button is released over the header of this element.
    `boolean` | `isDisabled()` Flag indicating whether toggling of this panel is disabled

    - ### Methods inherited from interface org.richfaces.ui.toggle.AbstractTogglePanelItemInterface

      `getClientId, getName, getOnenter, getOnleave, getParentPanel, getSwitchType, isActive, isDynamicPanelItem, isRendered`

    - ### Methods inherited from interface org.richfaces.ui.attribute.CoreProps

      `getStyle, getStyleClass, getTitle`

    - ### Methods inherited from interface org.richfaces.ui.attribute.EventsMouseProps

      `getOnclick, getOndblclick, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup`

    - ### Methods inherited from interface org.richfaces.ui.attribute.I18nProps

      `getDir, getLang`

    - ### Methods inherited from interface org.richfaces.ui.common.VisitChildrenRejectable

      `shouldVisitChildren`

- - ### Method Detail

    - #### isDisabled

          boolean isDisabled()

      Flag indicating whether toggling of this panel is disabled

    - #### getHeader

          String getHeader()

    - #### getContentClass

          String getContentClass()

      The CSS class applied to the panel content

    - #### getHeaderActiveClass

          String getHeaderActiveClass()

      The CSS class applied to the header when this panel is active

    - #### getHeaderDisabledClass

          String getHeaderDisabledClass()

      The CSS class applied to the header when this panel is disabled

    - #### getHeaderInactiveClass

          String getHeaderInactiveClass()

      The CSS class applied to the header when this panel is inactive

    - #### getHeaderClass

          String getHeaderClass()

      The CSS class applied to the header

    - #### getHeaderStyle

          String getHeaderStyle()

      The CSS style applied to the header

    - #### getOnheaderclick

          String getOnheaderclick()

      Javascript code executed when a pointer button is clicked over the header of this element.

    - #### getOnheaderdblclick

          String getOnheaderdblclick()

      Javascript code executed when a pointer button is double clicked over the header of this element.

    - #### getOnheadermousedown

          String getOnheadermousedown()

      Javascript code executed when a pointer button is pressed down over the header of this element.

    - #### getOnheadermousemove

          String getOnheadermousemove()

      Javascript code executed when a pointer button is moved within the header of this element.

    - #### getOnheadermouseup

          String getOnheadermouseup()

      Javascript code executed when a pointer button is released over the header of this element.

Copyright © 2014 JBoss by Red Hat. All rights reserved.